// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: switchmodule/switchmodule.proto

package openfmb.switchmodule;

/**
 * <pre>
 * Switch event
 * </pre>
 *
 * Protobuf type {@code switchmodule.SwitchEvent}
 */
public final class SwitchEvent extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:switchmodule.SwitchEvent)
    SwitchEventOrBuilder {
private static final long serialVersionUID = 0L;
  // Use SwitchEvent.newBuilder() to construct.
  private SwitchEvent(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private SwitchEvent() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new SwitchEvent();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEvent_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEvent_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.switchmodule.SwitchEvent.class, openfmb.switchmodule.SwitchEvent.Builder.class);
  }

  public static final int EVENTVALUE_FIELD_NUMBER = 1;
  private openfmb.commonmodule.EventValue eventValue_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the eventValue field is set.
   */
  @java.lang.Override
  public boolean hasEventValue() {
    return eventValue_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The eventValue.
   */
  @java.lang.Override
  public openfmb.commonmodule.EventValue getEventValue() {
    return eventValue_ == null ? openfmb.commonmodule.EventValue.getDefaultInstance() : eventValue_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.EventValueOrBuilder getEventValueOrBuilder() {
    return eventValue_ == null ? openfmb.commonmodule.EventValue.getDefaultInstance() : eventValue_;
  }

  public static final int SWITCHEVENTXSWI_FIELD_NUMBER = 2;
  private openfmb.switchmodule.SwitchEventXSWI switchEventXSWI_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
   * @return Whether the switchEventXSWI field is set.
   */
  @java.lang.Override
  public boolean hasSwitchEventXSWI() {
    return switchEventXSWI_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
   * @return The switchEventXSWI.
   */
  @java.lang.Override
  public openfmb.switchmodule.SwitchEventXSWI getSwitchEventXSWI() {
    return switchEventXSWI_ == null ? openfmb.switchmodule.SwitchEventXSWI.getDefaultInstance() : switchEventXSWI_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
   */
  @java.lang.Override
  public openfmb.switchmodule.SwitchEventXSWIOrBuilder getSwitchEventXSWIOrBuilder() {
    return switchEventXSWI_ == null ? openfmb.switchmodule.SwitchEventXSWI.getDefaultInstance() : switchEventXSWI_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (eventValue_ != null) {
      output.writeMessage(1, getEventValue());
    }
    if (switchEventXSWI_ != null) {
      output.writeMessage(2, getSwitchEventXSWI());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (eventValue_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getEventValue());
    }
    if (switchEventXSWI_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getSwitchEventXSWI());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.switchmodule.SwitchEvent)) {
      return super.equals(obj);
    }
    openfmb.switchmodule.SwitchEvent other = (openfmb.switchmodule.SwitchEvent) obj;

    if (hasEventValue() != other.hasEventValue()) return false;
    if (hasEventValue()) {
      if (!getEventValue()
          .equals(other.getEventValue())) return false;
    }
    if (hasSwitchEventXSWI() != other.hasSwitchEventXSWI()) return false;
    if (hasSwitchEventXSWI()) {
      if (!getSwitchEventXSWI()
          .equals(other.getSwitchEventXSWI())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasEventValue()) {
      hash = (37 * hash) + EVENTVALUE_FIELD_NUMBER;
      hash = (53 * hash) + getEventValue().hashCode();
    }
    if (hasSwitchEventXSWI()) {
      hash = (37 * hash) + SWITCHEVENTXSWI_FIELD_NUMBER;
      hash = (53 * hash) + getSwitchEventXSWI().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.switchmodule.SwitchEvent parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchEvent parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEvent parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchEvent parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEvent parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchEvent parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEvent parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchEvent parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEvent parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchEvent parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEvent parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchEvent parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.switchmodule.SwitchEvent prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Switch event
   * </pre>
   *
   * Protobuf type {@code switchmodule.SwitchEvent}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:switchmodule.SwitchEvent)
      openfmb.switchmodule.SwitchEventOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEvent_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEvent_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.switchmodule.SwitchEvent.class, openfmb.switchmodule.SwitchEvent.Builder.class);
    }

    // Construct using openfmb.switchmodule.SwitchEvent.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      eventValue_ = null;
      if (eventValueBuilder_ != null) {
        eventValueBuilder_.dispose();
        eventValueBuilder_ = null;
      }
      switchEventXSWI_ = null;
      if (switchEventXSWIBuilder_ != null) {
        switchEventXSWIBuilder_.dispose();
        switchEventXSWIBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEvent_descriptor;
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchEvent getDefaultInstanceForType() {
      return openfmb.switchmodule.SwitchEvent.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchEvent build() {
      openfmb.switchmodule.SwitchEvent result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchEvent buildPartial() {
      openfmb.switchmodule.SwitchEvent result = new openfmb.switchmodule.SwitchEvent(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.switchmodule.SwitchEvent result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.eventValue_ = eventValueBuilder_ == null
            ? eventValue_
            : eventValueBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.switchEventXSWI_ = switchEventXSWIBuilder_ == null
            ? switchEventXSWI_
            : switchEventXSWIBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.switchmodule.SwitchEvent) {
        return mergeFrom((openfmb.switchmodule.SwitchEvent)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.switchmodule.SwitchEvent other) {
      if (other == openfmb.switchmodule.SwitchEvent.getDefaultInstance()) return this;
      if (other.hasEventValue()) {
        mergeEventValue(other.getEventValue());
      }
      if (other.hasSwitchEventXSWI()) {
        mergeSwitchEventXSWI(other.getSwitchEventXSWI());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getEventValueFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getSwitchEventXSWIFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.EventValue eventValue_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EventValue, openfmb.commonmodule.EventValue.Builder, openfmb.commonmodule.EventValueOrBuilder> eventValueBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the eventValue field is set.
     */
    public boolean hasEventValue() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return The eventValue.
     */
    public openfmb.commonmodule.EventValue getEventValue() {
      if (eventValueBuilder_ == null) {
        return eventValue_ == null ? openfmb.commonmodule.EventValue.getDefaultInstance() : eventValue_;
      } else {
        return eventValueBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setEventValue(openfmb.commonmodule.EventValue value) {
      if (eventValueBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        eventValue_ = value;
      } else {
        eventValueBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setEventValue(
        openfmb.commonmodule.EventValue.Builder builderForValue) {
      if (eventValueBuilder_ == null) {
        eventValue_ = builderForValue.build();
      } else {
        eventValueBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeEventValue(openfmb.commonmodule.EventValue value) {
      if (eventValueBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          eventValue_ != null &&
          eventValue_ != openfmb.commonmodule.EventValue.getDefaultInstance()) {
          getEventValueBuilder().mergeFrom(value);
        } else {
          eventValue_ = value;
        }
      } else {
        eventValueBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearEventValue() {
      bitField0_ = (bitField0_ & ~0x00000001);
      eventValue_ = null;
      if (eventValueBuilder_ != null) {
        eventValueBuilder_.dispose();
        eventValueBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.EventValue.Builder getEventValueBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getEventValueFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.EventValueOrBuilder getEventValueOrBuilder() {
      if (eventValueBuilder_ != null) {
        return eventValueBuilder_.getMessageOrBuilder();
      } else {
        return eventValue_ == null ?
            openfmb.commonmodule.EventValue.getDefaultInstance() : eventValue_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EventValue, openfmb.commonmodule.EventValue.Builder, openfmb.commonmodule.EventValueOrBuilder> 
        getEventValueFieldBuilder() {
      if (eventValueBuilder_ == null) {
        eventValueBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.EventValue, openfmb.commonmodule.EventValue.Builder, openfmb.commonmodule.EventValueOrBuilder>(
                getEventValue(),
                getParentForChildren(),
                isClean());
        eventValue_ = null;
      }
      return eventValueBuilder_;
    }

    private openfmb.switchmodule.SwitchEventXSWI switchEventXSWI_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.SwitchEventXSWI, openfmb.switchmodule.SwitchEventXSWI.Builder, openfmb.switchmodule.SwitchEventXSWIOrBuilder> switchEventXSWIBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
     * @return Whether the switchEventXSWI field is set.
     */
    public boolean hasSwitchEventXSWI() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
     * @return The switchEventXSWI.
     */
    public openfmb.switchmodule.SwitchEventXSWI getSwitchEventXSWI() {
      if (switchEventXSWIBuilder_ == null) {
        return switchEventXSWI_ == null ? openfmb.switchmodule.SwitchEventXSWI.getDefaultInstance() : switchEventXSWI_;
      } else {
        return switchEventXSWIBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
     */
    public Builder setSwitchEventXSWI(openfmb.switchmodule.SwitchEventXSWI value) {
      if (switchEventXSWIBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        switchEventXSWI_ = value;
      } else {
        switchEventXSWIBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
     */
    public Builder setSwitchEventXSWI(
        openfmb.switchmodule.SwitchEventXSWI.Builder builderForValue) {
      if (switchEventXSWIBuilder_ == null) {
        switchEventXSWI_ = builderForValue.build();
      } else {
        switchEventXSWIBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
     */
    public Builder mergeSwitchEventXSWI(openfmb.switchmodule.SwitchEventXSWI value) {
      if (switchEventXSWIBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          switchEventXSWI_ != null &&
          switchEventXSWI_ != openfmb.switchmodule.SwitchEventXSWI.getDefaultInstance()) {
          getSwitchEventXSWIBuilder().mergeFrom(value);
        } else {
          switchEventXSWI_ = value;
        }
      } else {
        switchEventXSWIBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
     */
    public Builder clearSwitchEventXSWI() {
      bitField0_ = (bitField0_ & ~0x00000002);
      switchEventXSWI_ = null;
      if (switchEventXSWIBuilder_ != null) {
        switchEventXSWIBuilder_.dispose();
        switchEventXSWIBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
     */
    public openfmb.switchmodule.SwitchEventXSWI.Builder getSwitchEventXSWIBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getSwitchEventXSWIFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
     */
    public openfmb.switchmodule.SwitchEventXSWIOrBuilder getSwitchEventXSWIOrBuilder() {
      if (switchEventXSWIBuilder_ != null) {
        return switchEventXSWIBuilder_.getMessageOrBuilder();
      } else {
        return switchEventXSWI_ == null ?
            openfmb.switchmodule.SwitchEventXSWI.getDefaultInstance() : switchEventXSWI_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchEventXSWI switchEventXSWI = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.SwitchEventXSWI, openfmb.switchmodule.SwitchEventXSWI.Builder, openfmb.switchmodule.SwitchEventXSWIOrBuilder> 
        getSwitchEventXSWIFieldBuilder() {
      if (switchEventXSWIBuilder_ == null) {
        switchEventXSWIBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.switchmodule.SwitchEventXSWI, openfmb.switchmodule.SwitchEventXSWI.Builder, openfmb.switchmodule.SwitchEventXSWIOrBuilder>(
                getSwitchEventXSWI(),
                getParentForChildren(),
                isClean());
        switchEventXSWI_ = null;
      }
      return switchEventXSWIBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:switchmodule.SwitchEvent)
  }

  // @@protoc_insertion_point(class_scope:switchmodule.SwitchEvent)
  private static final openfmb.switchmodule.SwitchEvent DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.switchmodule.SwitchEvent();
  }

  public static openfmb.switchmodule.SwitchEvent getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<SwitchEvent>
      PARSER = new com.google.protobuf.AbstractParser<SwitchEvent>() {
    @java.lang.Override
    public SwitchEvent parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<SwitchEvent> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<SwitchEvent> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.switchmodule.SwitchEvent getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

